v4.3.36 - 2025-04-29
--------------------

## Correction de dysfonctionnements ###
- correction de l'ajout rapide de l'organisation, de la personne sur des formulaires pas à pas (#6279, #6280)
- correction de la disponibilité des boutons d'ajout rapide (personne, organisation) pour traitements et demandes de traitements (#6300)


v4.3.35 - 2025-04-28
--------------------

## Correction de dysfonctionnements ###
- listes des anciens imports: correction de la pagination (#6268)


v4.3.34 - 2025-04-25
--------------------

### Fonctionnalités/améliorations ###
- opération - édition par lot : ajout du champ commentaire


## Correction de dysfonctionnements ###
- formulaires : correction de la disponibilité des types désactivés sur les champs multivalués (#6266)


v4.3.33 - 2025-04-23
--------------------

## Correction de dysfonctionnements ###
- correction de l'export des tables avec des champs personnalisés dans la recherche (#6292)
- formulaire mobilier pour les instances non-musée
    - correction du libellé « Marquage » (#6273)
    - correction de l'affichage de l'identifiant musée (#6286)
- formulaires personnalisés : correction de l'édition des chhamps personnalisés


v4.3.32 - 2025-04-03
--------------------

### Corrections de dysfonctionnements ###
- correction de l'export table (mauvais filtre de permissions)
- correction de l'export table avec la syntaxe '|' pour les colonnes en export


v4.3.31 - 2025-03-24
--------------------

### Corrections de dysfonctionnements ###
- correction des formulaires personnalisés pour des actes administratifs (#6238, #6239)
- lieux de conservation : association automatique de la ville de l'organisation si aucune ville n'est fournie (#6192)
- fiches - données géographiques :
    - correction du libellé sur la vue carte pour les marqueurs (#6234)
    - amélioration de l'affichage des données dans le tableau


### Technique ###
- formulaires pas à pas : amélioration des performances lorsque de nombreux éléments sont rattachés
- formulaires personnalisés - administration : meilleur filtre pour les champs JSON


v4.3.30 - 2025-03-19
--------------------

### Fonctionnalités/améliorations ###
- si l'utilisateur ignore 10 fois le message d'information sur la nouvelle version, il ne l'affiche plus
- fiches :
    - refactorisation de la liste des documents - ajout des actions d'édition et de détachement (#6221)
 - compte : affichage des éléments attachés (#6208)
 - sites archéologiques : affichage des unités d'enregistrement liées (#6147)
- mise à jour par lot des opérations : ajout du bouton pour ajouter un collaborateur (#6219)
- autocomplétion d'opération : recherche plus ouverte sur le code
- expositions : possibilité de lier des documents (#6222)
- recherche par critères : rattachement à l'utilisateur - permissions (#6208)
- imports : bouton de correspondance en couleur (avertissement)


### Corrections de dysfonctionnements ###
- fiches :
    - correction des permissions rattachées (#6183)
    - compte : correction du lien pour l'action d'édition rapide
    - compte : correction de l'affichage des permissions pour les traitements/demandes de traitement (#6186)
    - personne : correction de la ville précise de l'organisation (#6169)
- formulaire de type de traitement : correction du filtre du type de traitement par disponibilité (#6143)
- mise à jour par lot des sites archéologiques : correction de l'étiquette de l'en-tête (#6220)
- formulaires de mise à jour par lot : correction du bouton d'ajout en fonction des nouvelles permissions
- dossiers archéologiques :
    - patrons de documents : ajout de la variable `unit_label` pour les coûts génériques d'équipement (#6218)
    - gestiondes jours ouvrés pour les échéances (#6218)
- mobilier : formulaire de déplacement rapide - libellés plus explicites (#6164)
- formulaires de parcelles : amélioration du message d'aide (#6194)
- correction des associations géographiques pour les contenants et les lieux de conservation (#6192)
- formulaire de compte : correction des champs titre, zones et personne (#6190)
- simplification des formulaires pas à pas personne - types de personnes sur le formulaire principal
- acte administratif : correction du libellé de référence interne (#6185)
- autocompletion de mobilier : ne pas afficher les mobilier avec traitement en aval (#6178)
- actions rapides opération : ne pas afficher l'action « relation aux sites » si le module site n'est pas activé (#6215)
- recherche de personne : correction de la recherche par types de personne (#6191)


### Technique ###
- correction de gros problèmes de performance sur les permissions quand trop d'éléments sont attachés
- correction de mauvaise aggrégation de polygone pour les zones multi-communes (#6234)
- acte administratif : « destiné à » peut maintenant être multi-valué (#6210)
- commande de gestion - `ishtar_update_permissions` : ajout de l'option `--force`


v4.3.29 - 2025-03-07
--------------------

### Fonctionnalités/améliorations ###
- imports : bouton « correspondance » en couleur


### Corrections de dysfonctionnements ###
- recherche par critères : correction de la requête de date exacte pour les champs de type date, heure, minute (#6206)
- redirection vers la fiche compte après l'édition du compte


### Technique ###
- RGPD :
    - commande de nettoyage
    - administration : ajout de l'ID de la personne au listing personnes RGPD


v4.3.28 - 2025-02-28
--------------------

### Corrections de dysfonctionnements ###
- formulaires : correction de la gestion des champs json avec formulaires groupés, permissions limitées et formulaires personnalisés


v4.3.27 - 2025-02-25
--------------------

### Fonctionnalités/améliorations ###
- fiche compte : ajout de l'action de gestion de compte
- compte : redirection vers la fiche de compte après l'enregistrement


### Corrections de dysfonctionnements ###
- formulaire édition rapide : correction de la gestion des messages d'erreur
- autocomplétion : correspondance exacte en premier - parent inclus à la recherche
- administration : correction du bouton précédent/suivant


v4.3.26 - 2025-02-25
--------------------

### Fonctionnalités/améliorations ###
- notes biographiques :
    - fiche : ajout des champs personnalisés
    - formulaire : gestion des champs personnalisés
    - administration : recherche, exportation CSV et amélioration du formulaire


### Corrections de dysfonctionnements ###
- fiche mobilier : correction de l'affichage de l'état du traitement (#6200)
- recherche traitement : correction de la recherche par type de document (#6198)


v4.3.25 - 2025-02-24
--------------------

### Fonctionnalités/améliorations ###
- traitements :
    - ajout de critères de recherche
    - refactorisation des états de traitement : distinction entre l'état de saisie et l'état de traitement (#6182)


v4.3.24 - 2025-02-19
--------------------

### Corrections de dysfonctionnements ###
- permissions : correction du filtrage des colonnes sur les exports


v4.3.23 - 2025-02-18
--------------------

### Fonctionnalités/améliorations ###
- administration :
    - amélioration des boutons suivant/précédent,
    - importeurs colonnes - création données par défaut pour type d'importateur et numéro de la colonne


### Corrections de dysfonctionnements ###
- correction des fiches mobilier musée
- imports : correction de la concaténation pour les données non textuelles
- permissions : correction de la syntaxe '"{AREA}"' (#6125)


v4.3.22 - 2025-02-17
--------------------

### Fonctionnalités/améliorations ###
- recherche opération : ajout du champ « Résultat considéré comme négatif »
- expositions :
    - ajout du champ description
    - fiche panier : affichage des expositions associées
    - création d'une exposition depuis un panier


### Corrections de dysfonctionnements ###
- permissions: fix author and biographical notes permission generation (refs #6187)


v4.3.21 - 2025-02-11
--------------------

### Fonctionnalités/améliorations ###
- import SIG : ne pas créer d'élément géographique si l'élément principal est déjà un élément géographique
- éléments géo : ajout de la date d'acquisition - supprimer le lien obligatoire vers un autre élément


v4.3.20 - 2025-02-10
--------------------

### Fonctionnalités/améliorations ###
- recherches par ville, par zone pour les personnes, les organisations, les dossiers archéologiques, les enregistrements de contexte, les entrepôts et les conteneurs (#6095)


### Corrections de dysfonctionnements ###
- nombreuses corrections sur les permissions (#6068, #6098, #6099, #6100, #6104, #6109, #6110, #6115, #6118, #6125)
- correction de l'absence de traduction de la page d'accueil pour les nouvelles instances (#6136)


v4.3.19 - 2025-01-31
--------------------

### Fonctionnalités/améliorations ###
- administration - meilleure gestion des clés de rapprochement :
    - import/export
    - lien possible avec tous les utilisateurs/importateurs


### Corrections de bugs ###
- suppression des clés de rapprochement lorsque l'importeur associé disparait


v4.3.18 - 2025-01-28
--------------------

### Corrections de bugs ###
- notice de traitement : correction de l'affichage des références (#6150)
- notice de lieu de conservation : désactivation des statistiques lorsque trop de conteneurs sont attachés
- correction de la vérification des permissions rattachées (#6126)
- correction des permissions d'affichage des personnes (#6146)


v4.3.17 - 2025-01-23
--------------------

### Technique ###
- traitements : renommage du champ "Autre référence" en "Référence"
- traitements : gestion les imports


v4.3.16 - 2025-01-20
--------------------

### Corrections de bugs ###
- permissions :
    - gestion les formulaires d'ajout/modification rapides (#6101)
    - notice permission : correction des listes de traitements (#6124)
    - ajout de permission pour l'objet créé par l'utilisateur (#6118)
    - correction du contrôle de permission pour les actions (#6126)
- imports : correction de la liste de correspondances
- correction de la génération des libellés pour le mobilier d'origine


v4.3.15 - 2024-12-13
--------------------

### Corrections de bugs ###
- modèles de document : correction des valeurs du panier associé aux demandes de traitement et aux traitements


v4.3.14 - 2024-12-11
--------------------

### Corrections de bugs ###
- permissions : correction des droits spécifiques en administration

### Technique ###
- correction de la fonction "get own" pour les notices biographiques (ancien fonctionnement)


v4.3.13 - 2024-12-11
--------------------

### Fonctionnalités/améliorations ###
- CSS - mode sombre
- nouvelle couche de carte : IGN cadastral

### Corrections de bugs ###
- formulaires personnalisés : correction de la réorganisation des formulaire et des formlaire d'ajout
- administration : correction du formulaire données géo
- formulaire de création rapide de lieu de conservation : correction de l'enregistrement


v4.3.12 - 2024-12-01
--------------------

### Fonctionnalités/améliorations ###
- ajout de la notion d'exposition (modèle de données, formulaires)


v4.3.11 - 2024-11-28
--------------------

### Fonctionnalités/améliorations ###
- profil du site : possibilité de définir la localisation par défaut des traitements

### Technique ###
- ajout du nom du profil au contexte par défaut de l'assistant

### Corrections de bugs ###
- correction du modèle des dossiers lorsqu'aucun filtre n'est fourni


v4.3.10 - 2024-11-25
--------------------

### Corrections de bugs ###
- simplification et correction de la gestion des permissions amonts
- permissions amonts: obtention des permissions de contenants à partir du mobilier


v4.3.9 - 2024-11-24
-------------------

### Corrections de bugs ###
- la récupération de flux du forum échoue silencieusement en cas d'erreur de réseau
- correction d'une mauvaise évaluation dans l'assistant pour les permissions rattachées


v4.3.8 - 2024-11-20
-------------------

### Fonctionnalités/améliorations ###
- filtres de notices : possibilité de configurer plusieurs clés en utilisant le séparateur « ; »

### Corrections de bugs ###
- correction des permissions pour les actes administratifs

v4.3.7 - 2024-11-20
-------------------

### Fonctionnalités/améliorations ###
- administration : message d'avertissement lorsque plusieurs requêtes pour permission ont été définies pour le même type de profil

### Corrections de bugs ###
- correction des permissions pour l'acte d'administration


v4.3.6 - 2024-11-20
-------------------

### Corrections de bugs ###
- correction d'accès aux actions pour les permissions
- message plus explicite en cas de permissions insuffisantes

v4.3.5 - 2024-11-17
-------------------

### Fonctionnalités/améliorations ###
- filtrer les notices par type de profil
- recherche : ajout de l'opérateur ET avec la notation « && »

v4.3.4 - 2024-11-15
-------------------

### Corrections de bugs ###
- correction de l'évaluation des droits pour les menus - correction de l'initialisation de formulaires

v4.3.3 - 2024-11-14
--------------------

### Technique ###
- renommage de "requêtes de permission"
- notice filtrées - filtres, notices : modèle, admin


v4.3.2 - 2024-11-13
--------------------

### Corrections de bugs ###
- correction des permissions rattachées pour les notices
- traduction de termes en administration


v4.3.1 - 2024-11-13
--------------------

### Fonctionnalités/améliorations ###
- gestion des permissions :
    - utilisation de requêtes
    - date d'expiration des profils
    - autorisations de suppression spécifiques (qui ne sont plus liées à la modification)
- recherche : ajout de l'opérateur OU avec la notation « || »


### Technique ###
- gestion des permissions :
    - refactorisation de la possession (directe, à la création, avec panier)
    - refactorisation de l'héritage
    - refactorisation de l'association de zones géographiques
- syntaxe spéciale pour utiliser l'identifiant dans la recherche « id:1234 » (utilisée par le mécanisme de gestion des permissions)


v4.1.53 - 2025-02-19
--------------------

## Correction de dysfonctionnements ###
- formulaires : correction des filtres de champs datations (#4281, #6193)


v4.1.52 - 2025-02-14
--------------------

## Correction de dysfonctionnements ###
- patrons de document: correction de `VALUES` pour les dossiers archéologiques préventifs
- fiche dossiers archéologiques : correction de l'ordre des équipement (refs #6173)


### Technique ###
- patrons de dossiers archéologiques : ajout de la variable « `taux_recouvrement` » (refs #6172)
- patrons de documents : ajout du champ `precise_town_name` aux personnes et organisations (refs #6167)


v4.1.51 - 2025-02-13
--------------------

### Corrections de dysfonctionnements ###
- dossiers archéologiques - préventif : correction de la variable de coût journalier terrain


v4.1.50 - 2025-02-12
--------------------

### Corrections de dysfonctionnements ###
- patrons de documents : correction de l'arrondi pour le filtre `float_format` (refs #6172)
- dossiers archéologiques - préventif :
    - afficher les coûts détaillés avec `display_label` (refs #6172)
    - formulaires : correction de la gestion des équipements (refs #6173)
    - templates : correction du mauvais calcul des champs préventifs (refs #6172)
    - administration : correction de la recopie des contrats tarifaires (refs #6174)


v4.1.49 - 2025-02-10
--------------------

### Corrections de dysfonctionnements ###
- formulaires : correction de crash lorsque certains filtres sont appliqués (#6166)


v4.1.48 - 2025-01-28
--------------------

### Correction de dysfonctionnements ###
- fiche de lieu de conservation : desactivation des statistiques quand trop de contenants sont attachés


v4.1.47 - 2025-01-07
--------------------

### Correction de dysfonctionnements ###
- correction de la génération des libellés du mobilier d'origine

v4.1.46 - 2024-12-30
--------------------

### Fonctionnalités/améliorations ###
- desactivation de la surcharge de traduction par défaut

### Correction de dysfonctionnements ###
- correction de la désactivation de la traduction


v4.1.45 - 2024-12-09
--------------------

### Correction de dysfonctionnements ###
- formulaires personnalisés : correction du réagencement des champs


v4.1.44 - 2024-12-05
--------------------

### Correction de dysfonctionnements ###
- administration : correction du formulaire d'éléments géographiques
- action rapide - creation de lieu de conservation : correction de l'enregistrement


v4.1.43 - 2024-10-15
--------------------

### Fonctionnalités/améliorations ###
- refactorisation des formulaires de relations entre sites et opérations

### Corrections de bugs ###
- correction de l'import de groupes

### Technique ###
- amélioration des performances du cache de recherche


v4.1.42 - 2024-10-11
--------------------

### Corrections de bugs ###
- correction de l'import SIG (champ manquant "lignes d'entêtes")


v4.1.41 - 2024-10-10
--------------------

### Corrections de bugs ###
- formulaire dossiers archéologiques : ajout du champ manquant `référence interne` (#6046)


v4.1.40 - 2024-10-09
--------------------

### Technique ###
- patrons de documents - dossiers archéologiques : ajout de valeurs pour les dossiers préventifs


v4.1.39 - 2024-10-09
--------------------

### Fonctionnalités/améliorations ###
- opération : recopie de l'adresse et du lieu dit lors de la création depuis un dossier archéologique

v4.1.38 - 2024-10-08
--------------------

### Technique ###
- patrons de documents - nouveau filtre : `euro_format`


v4.1.37 - 2024-10-08
--------------------

### Technique ###
- modèles de documents : gérer l'exportation en PDF, HTML, xlsx, docx
- type d'importateur : ajout d'un nombre par défaut de lignes à sauter pour les CSV


v4.1.36 - 2024-09-30
--------------------

### Technique ###
- patrons de documents :
    - nouveaux filtres : multiply, sub, add
    - dossiers archéologiques : ajout de valeurs pour les dossiers préventifs


v4.1.35 - 2024-09-30
--------------------

### Corrections de bugs ###
- fiche : correction de l'affichage de champs hiérarchiques
- fiche unité d'enregistrement : correction de l'affichage de l'onglet `interpretation` quand il n'y a que des `identifications`.


v4.1.34 - 2024-09-29
--------------------

### Corrections de bugs ###
- aperçu des imports CSV : ne pas afficher les boutons "ignorer" quand cela n'est pas pertinent

### Technique ###
- patrons de documents :
    - amélioration de la robustesse des patrons (ne pas crasher sur des valeurs manquantes)
    - ajout de champs pour les dossiers archéologiques
    - ajout des diltres `number_to_words` et `float_format`


v4.1.33 - 2024-09-28
--------------------

### Technique ###
- Modèles de dossiers archéologiques : ajout de champs pour le rendu de documents d'archeologie préventive


v4.1.32 - 2024-09-27
--------------------

### Fonctionnalités/améliorations ###
- dossiers archéologiques - nouveau champ : « nom de l'opération » (#5795)
- importations : boutons « ignorer toutes les erreurs », « pas d'erreurs »

### Corrections de bugs ###
- imports : correction de la fermeture de la fenêtre lors de la vérification des erreurs ignorées

### Technique ###
- page d'accueil : simplification et initialisation de la gestion des champs de la page d'accueil


v4.1.31 - 2024-09-24
--------------------

### Fonctionnalités/améliorations ###
- page d'accueil : statistiques et personnalisations

### Technique ###
- types de documentations, méthodes de fouille (unité d'enregistrement) ajout de hiérarchie et d'ordre

### Corrections de bugs ###
- correction de la création de relations entre unité d'enregistrement

v4.1.30 - 2024-09-22
--------------------

### Technique ###
- imports :
    - gestion des post process sur les éléments liés
    - post-processeur pour les Parcelles : `set_parcel`
- notices : ajout de raccourcis pour les patrons et les formules


v4.1.29 - 2024-09-21
--------------------

### Corrections de bugs ###
- correction d'export CSV


v4.1.28 - 2024-09-20
--------------------

### Fonctionnalités/améliorations ###
- nouveaux champs (base de données, formulaires, recherches, fiches) :
    - Dossiers archéologiques
        - Motivation de prescription
        - Type d'aménagement
    - Sites archéologiques :
        - Types
        - État de découverte
        - État actuel
        - Inventeur
        - Nature du site
        - Niveau d'interprétation
        - Localisation précise
        - Description
        - Description publique
    - Unité d'enregistrement :
        - Fouilleur
    - Mobilier :
        - Méthode de découverte


v4.1.27 - 2024-09-17
--------------------

### Fonctionnalités/améliorations ###
- nouveaux champs (base de données, formulaires, recherches, fiches) :
    - Commune :
        - notice
    - Unité d'Enregistrement :
        - longueur fouillée
        - largeur fouillée
        - structure
        - texture
        - couleurs
        - précistions sur les couleurs
        - inclusions
- Relations entre opérations : suppression du formulaire de l'assistant pour le placer dans un formulaire spécifique


v4.1.26 - 2024-09-16
--------------------

### Fonctionnalités/améliorations ###
- Relations entre unités d'enregistrements : suppression du formulaire de l'assistant pour le placer dans un formulaire spécifique

### Technique ###
- Amélioration de performances
    - ne pas réévaluer l'arbre des relations entre Unités d'Enregistrements si cela n'est pas nécessaire
    - ID externe : éviter les doubles sauvegardes - requête de mise à jour au lieu de sauvegarde
- suppression de code mort


v4.1.25 - 2024-09-12
--------------------

### Corrections de bugs ###
- notice mobilier : correction de l'affichage pour les traitements simples sans conteneur associé

### Technique ###
- script de migration pour la recherche de l'historique des conteneurs
-️ pages d'administration :
    - correction des performances du formulaire d'acte administratif
    - amélioration automatique de la mise en page des formulaires : placer les champs génériques à la fin


v4.1.24 - 2024-09-11
--------------------

### Fonctionnalités/améliorations ###
- recherche par critères : ajout de champs manquants pour opération, mobilier et unité d'enregistrement (#6020)
- mise à jour par lot d'unité d'enregistrements : ajout de champs

### Corrections de bugs ###
- notice unité d'enregistrement : correction d'une mauvaise condition d'affichage pour l'onglet interprétation

v4.1.23 - 2024-09-10
--------------------

### Fonctionnalités/améliorations ###
- action rapide - conteneur : formulaire de déplacement
- gestion de l'historique de la localisation du mobilier

### Corrections de bugs ###
- importations :
    - correction de l'évaluation des valeurs par défaut
    - correction des traitements de post-imports sur des éléments supprimés
- fusion : ne pas fusionner l'association aux imports
- notices :
    - demande de traitement : correction de l'adresse de l'organisation du demandeur
    - dossier archéologique : amélioration de la mise en page
    - acte administratif : afficher les champs personnalisés
- correction des images aléatoires pour les actes administratifs


v4.1.22 - 2024-08-28
--------------------

### Corrections de bugs ###
- Patrons LibreOffice d'unités d'enregistrement : obtention des données de datation

v4.1.21 - 2024-08-28
--------------------

### Corrections de bugs ###
- Patrons LibreOffice : génération plus robuste (tentative de récupération de XML mal formé)


v4.1.20 - 2024-07-25
--------------------

### Fonctionnalités/améliorations ###
- les utilisateurs avec le droit "voir les imports" peut accéder à la liste des imports

### Technique ###
- administration : correction du script ishtar_import - ajout d'un rendu verbeux


v4.1.19 - 2024-07-15
--------------------

### Fonctionnalités/améliorations ###
- recherche : ajout de la possibilité de configurer un bouton « + mobilier sans contexte »

### Corrections de bugs ###
- carte : changement du lien IGN de la carte
- fiche : éviter le crash lorsque les données géographiques sont corrompues
- correction de recherches numériques et de dates (refs #5928)

v4.1.18 - 2024-07-08
--------------------

### Fonctionnalités/améliorations ###
- Unités d'enregistrement - identification : passage en multivalué
- ajout d'une fenêtre de dialogue supplémentaire lors de la suppression d'un élément
- suppression de document : ne pas afficher les champs non pertinents dans le résumé avant suppression (refs #5639)

### Corrections de bugs ###
- recherche de documents : correction de la recherche ouverte sur les conteneurs
- imports : gestion des erreurs lors de l'ouverture d'un fichier

v4.1.17 - 2024-06-26
--------------------

### Fonctionnalités/améliorations ###
- notices - commune : ajout de référence à la commune déléguée et à la nouvelle ville (#5380, #5732)


### Corrections de bugs ###
- patrons de documents : ajout de valeurs manquantes
- templates : add missing m2m values
- forms : fix date validation not possible when switching to english (refs #5837)

v4.1.16 - 2024-06-24
--------------------

### Fonctionnalités/améliorations ###
- recherche par critères : recherche relative pour les dates et les nombres
- documentation : amélioreration de la documentation sur la recherche par critères
- recherche : ajout d'une aide en ligne
- nombreuses corrections d'affichage sur les formulaires et les notices

### Corrections de bugs ###
- Correction de l'épinglage pour les actes administratifs

v4.1.15 - 2024-06-11
--------------------

### Fonctionnalités/améliorations ###
- Fiches : ajout de nombreux champs manquants, amélioration de la mise en page, harmonisation de la section création/modification 
- Opérations :critère de recherche référence de l'opérateur (#5965)

### Technique ###
- Opérations : champ référence de l'opérateur 20 -> 200 caractères (#5965)
- Document : champ cache auteurs pour affichage dans les tables (#5709)
- Files d'attente d'imports - modification du script de lancement par défaut afin de traiter les demandes de faible priorité (#5679)

v4.1.14 - 2024-06-05
--------------------

### Corrections de dysfonctionnements ###
- correction des formulaires géo - pas de créateur

v4.1.13 - 2024-06-05
--------------------

### Corrections de dysfonctionnements ###
- formulaire document et géographique : correction de la surcharge de l'utilisateur créateur en modification (refs #5964)

v4.1.12 - 2024-06-05
--------------------

### Fonctionnalités/améliorations ###
- mise à jour de la documentation
- fiche import : affichage amélioré des champs modifiés et créés

### Corrections de bugs ###
- villes autocomplétion : correction de la recherche pour les villes avec accents
- formulaires géo et  document : correction de l'étiquette pour « Site » lorsque la configuration est activée
- recherche par critères - villes - modèle apparenté : correction des recherches "\*" et "- \*"
- admin : "Données personnalisées - Menus" renommé en "Données personnalisées - Sections"

### Technique ###
- profil - moteur de relation : modification de la valeur par défaut des tables de cache
- "settings.py" : chargement des paramètres personnalisés après les paramètres locaux
- installation :
    - ajout de typologie manquante - communicabilité, zone fonctionnelle, attribution culturelle
    - ajout des systèmes de référence spatiale
    - suppression des importeurs MCC (obsolètes)
- JS : load_window à la fin de ishtar.js pour éviter des erreurs de chargement

v4.1.11 - 2024-05-10
--------------------

### Fonctionnalités/améliorations ###
- Opération :
    - ajout des dates de versement de la documentation et du mobilier
    - action rapide : ajout d'acte administratif

### Corrections de dysfonctionnements ###
- table mobilier : correction du nombre d'éléments quand du mobilier est associé à plusieurs unités d'enregistremenr (#5898)
- imports : coche des erreurs - correction d'un dusfonctionnement lorsque l'identifiant est supérieur à 1000 (#5931)
- table des utilisateurs : afficher le type de profil dans les colonnes et non le nom du profil (#5618)
- quand du mobilier d'origine est supprimé, suppresion du mobilier associé si aucun autre mobilier d'origine lui est associé (#3871)
- requête de recherche : correction de la recherche date si plusieurs critères de recherche portent sur le même attribut

v4.0.XX - 2099-12-31
--------------------

- Module musée
- Ajout des notices biographiques

### Fonctionnalités/améliorations ###
- formulaire géographique :
    - affichage des coordonnées
    - obtention des coordonnées depuis la géolocalisation
- fiche géographique : affichage du tampon du point
- Contenant : nouveau champ Code (formulaires, fiche, index de recherche et autocomplétion) (#5704)
- Unité d'enregistrement :
    - type d'identification passe en hiérarchique (#5739)
    - ajout de l'attribution culturelle (#5740)
- Opération :
    - amélioration de la fiche (#5753)
    - renommage de "code opération" en "index annuel"
    - ajout des dates de versement du mobilier et de la documentation
    - action rapide : ajouter un acte administratif
- Mobilier :
    - État de conservation devient multi valué (#5904)
    - modifications par lot : "Identifiant précédent" peut être changé pour plusieurs mobiliers à la fois
- Lieu de conservation : autocompletion avec l'identifiant textuel
- Formulaire document : suppression de la contrainte d'attachement à un élément
- ajout de la pagination pour les imports archivés
- recherche : pour les dates introduction des notations 'critere=">21/12/2023"' et 'critere="<21/12/2023"' pour après et avant


#### Imports #####
- ajout de formulaire pré-imports
- imports : possibilité d'utiliser nativement les fichiers tableurs LibreOffice et Excel
- imports - groupes : chainage d'imports multiples
- imports : refonte de la gestion des droits
- imports : possibilité d'importer des médias depuis un chemin web
- imports : possibilité d'ignorer certains messages d'erreur
- imports : possibilité de pointer les erreurs ligne par ligne
- imports - formulaires : réorganisation de l'ordre des champs
- imports - tables :
    - visualisateur CSV intégré
    - rafraîchissement automatique de l'avancement
    - réorganisation des champs
    - amélioration de la présentation
- imports - fiche (liens des autres fiches vers la fiche import)
- imports - correspondance : ne pas proposer « Mettre à NULL » quand le champ est obligatoire
- recherche : ajout du critère « importé depuis »

#### Module RGPD #####
- documentation
- administration : log RGPD (lecture seule, exportation)
- enregistrement RGPD :
    - lors de la visualisation et de l'export de l'annuaire


### Technique ###
- script de correction des affectations de communes regroupées aux opérations
- mode débogage pour les imports
- imports:
    - correction des actions de post import configurés dans les données par défaut
    - document : action post import - "set_main_image" - la valeur correspond au type de données associées pour lesquelles associer l'image en tant qu'image principale. Exemple : "finds" pour le mobilier.
- script ishtar_maintenance : tâche "fix_geographic_items"
- données geographiques : correction des attachements par défaut pour mobilier d'origine, unités d'enregistrements, lieux de conservation et contenants.
- import SIG : correction d'une mauvaise comparaison de SRID

#### Imports #####
- relation de mise à jour entre imports et les éléments principaux
- imports - file d'attente : gestion d'une file d'attente en priorité basse

#### Module RGPD #####
- tables RGPD : informations sur utilisateur, action, IP, IP routable

### Corrections de dysfonctionnements ###
- tableau document : correction de la vue galerie
- fiche géo :
    - retrait des fonctions de zoom et de sélection pour les points sans coordonnées x et y
    - correction de l'affichage de points 2D
- imports - CSV de résultat :
    - correction de colonnes manquantes (#5677)
    - amélioration du formatage des valeurs
- graphe de relations entre unité d'enregistrements - correction du caractère '\n' (#5500)
- correction des droits de consultation sur le contenu d'un contenant (#5767)
- correction de paramétrage par défaut des types de traitements et des états de traitements (#5782, #5774)
- correction de l'image principale pour les dossiers (#5789)
- unités d'enregistrement autocompletion : recherche explicite par code opération (#5834)
- fiche : empêcher le débordement du nom du ficher sur les autres champs (#5835)
- données JSON date : correction des critères de recherche - affichage de la version localisée sur les fiches (#5883)
- Opération : renommage "Code opération" en "Index numérique"

v4.0.75 - 2024-04-16
--------------------

### Technique ###
- Mobilier : ajout de l'index à la recherche libre

v4.0.74 - 2024-04-16
--------------------

### Technique ###
- formule JINJA : ajout des filtres de déduplication et de remplissage par 0

v4.0.73 - 2024-03-19
--------------------

### Corrections de dysfonctionnements ###
- correction de la galerie de documents

v4.0.72 - 2024-02-05
--------------------

### Technique ###
- mise à jour des scripts d'import IGN/INSEE


v4.0.71 - 2024-01-17
--------------------

### Corrections de dysfonctionnements ###
- zone géographique : correction de la génération automatique de slugs (#5715)
- tableau des documents : correction de la duplication des lignes pour les auteurs (#5709). **Avertissement** : le décompte dans le tableau n'est plus cohérent, une correction plus robuste sera livrée dans la version v4.1

v4.0.70 - 2023-12-19
--------------------

### Technique ###
- relations entre unité d'enregistrement : forcer une relation un à un lors de la création d'une unité d'enregistrement -> corrige la liste du mobilier sur la fiche d'unité d'enregistrement

v4.0.69 - 2023-12-18
--------------------

### Technique ###
- valeurs associées au mobilier pour les patrons de documents : utiliser le préfixe "base_find_" et le préfixe simple (#5695)
- formulaire de compte : en modification le type de profil est en lecture seule afin d'éviter certaines erreurs lors de la suppression (#5696)

v4.0.68 - 2023-11-30
--------------------

### Corrections de dysfonctionnements ###
- administration contenants : correction de la recherche

### Technique ###
- import : interception des erreurs d'integrité en post-traitement

v4.0.67 - 2023-11-29
--------------------

### Corrections de dysfonctionnements ###
- Formulaire SIG - suppression des champs "horodatage" (#5673)
- Profile d'instance :
    - correction de migration de base de données : valeur par défaut pour l'identifiant complet et le libellé mise en cache (#5674)
    - correction du champ "centre par défaut" (#5675)
- Table documents : correction d'un problème de performance lors du tri (#5667)
- Document - Formulaire de mise à jour groupée : correction de l'ajout de nouveau auteur (#5681)
- Formulaire personalisé : ajout de type de formulaire manquants (#5668)
- Formulaire nouvel élément géographique : widget de carte centré sur le centre de l'élément géographique principal ou à défaut au centre par défaut paramétré pour l'instance (#5676)

v4.0.66 - 2023-11-22
--------------------

### Corrections de dysfonctionnements ###
- patrons - valeur des contenants : correction de l'ordre du listing mobilier (#5661)

v4.0.65 - 2023-11-15
--------------------

### Corrections de dysfonctionnements ###
- recherche : correction des recherches '-type="*"' pour les types sans hiérarchie

v4.0.64 - 2023-11-14
--------------------

Nombreuses améliorations dans les post-traitements. De meilleures performances sont attendues pour les imports.

### Technique ###
- suppression de la mise à jour "bulk" : ne devrait plus être utile et pouvait sévèrement dégrader les performances.
- amélioration des post-traitements des parcelles - ajout d'un horodatage pour éviter des répétition de post traitements geo et de label en cache.


v4.0.63 - 2023-11-08
--------------------

### Corrections de dysfonctionnements ###
- Statistiques : correction de l'affichage image (#5650)
- Expiration du mot de passe : suppression du cache après la réinitialisation du mot de passe

v4.0.62 - 2023-10-27
--------------------

### Corrections de dysfonctionnements ###
- Fiche opération : affichage de champs préventifs manquants, amélioration d'affichage de date
- Fiche d'opération : correction du filtre sur l'opération sur la table de relations entre unités d'enregistrements liés (#5647)

v4.0.61 - 2023-10-18
--------------------

### Corrections de dysfonctionnements ###
- Correction de traduction du composant graphique calendrier (#5642)
- Formulaires personnalisés : correction de crash lorsque l'on enlève des champs déjà filtrés (#5643)

v4.0.60 - 2023-10-10
--------------------

### Corrections de dysfonctionnements ###
- gestion de photos avec quelques "bits" défectueux (#5626)

v4.0.59 - 2023-09-29
--------------------

### Corrections de dysfonctionnements ###
- correction des traductions manquantes
- suppression de "BASE_URL" sur les fiches images (non nécessaire localement et source de dysfonctionnements en accès distant)
- les zones créées automatiquement par les opérations comportant plusieurs villes ne sont pas "disponibles" par défaut

v4.0.58 - 2023-09-26
--------------------

### Corrections de dysfonctionnements ###
- Fédération :
    - au lieu de supprimer les champs exclus, leur attribuer la valeur vide
    - fiches distances : ajout de permissions par défaut manquantes
    - URL absolue pour les ressources

v4.0.57 - 2023-09-13
--------------------

### Technique ###
- div principal plus large sur appareil mobile

### Corrections de dysfonctionnements ###
- correction du sélecteur photo sur appareil mobile


v4.0.56 - 2023-09-06
--------------------

### Fonctionnalités/améliorations ###
- amélioration de la documentation en ligne

### Technique ###
- imports - correspondance : suppression de clés non pertinentes
- imports - geo : correction de l'association aux imports lorsque la clé d'import correspond
- correction de la mise à jour des coordonnées mises en cache en cas de changement de précision du SRS

v4.0.55 - 2023-08-07
--------------------

### Technique ###
- script `ishtar_maintenance` : ajout de l'option "filter" afin de limiter le script à une requête spécifique
- correction de crash quand aucune recherche n'est comptabilisée
- correction de crash lors de mise à jour en cascade du mobilier d'origine
- optimisation des post-traitements : éviter des mises à jour en cascade inutiles (refs #5617)

v4.0.54 - 2023-07-19
--------------------

### Fonctionnalités/améliorations ###
- `wizards` : défilement automatique sur le champ lorsque l'on navigue avec la touche TAB
- amélioration de mise en page : formulaires de mise à jour de mot de passe et d'inscription
- formulaire de mise à jour du mot de passe : redirection vers la page d'accueil
- formulaire d'inscription ouvert : désactivé par défaut
- formulaire de réinitialisation de mot de passe par courriel
- bouton pour montrer le mot de passe sur le formulaire administrateur de changement de mot de passe
- le style de nommage par défaut des noms d'utilisateur est prenom.nom

### Corrections de dysfonctionnements ###
- correction de redirection sur le mobilier après ajout/édition d'élément géographique
- formulaire de compte : correction de la normalisation du nom d'utilisateur
- correction de l'action de conditionnement rapide (#5611)

v4.0.53 - 2023-07-06
--------------------

### Fonctionnalités/améliorations ###
- `wizards` : validation des formulaires avec CTRL+ENTER

### Corrections de dysfonctionnements ###
- correction de l'autofocus du premier champ
- ne pas surcharger les identifiants complets quand ils sont vides

v4.0.52 - 2023-07-06
--------------------

### Corrections de dysfonctionnements ###
- message après création : utilisation de generate_cached_label si aucun label n'est disponible

### Technique ###
- correction d'une boucle infinie sur regenerate_all_id


v4.0.51 - 2023-07-05
--------------------

### Fonctionnalités/améliorations ###
- fiche : ajout d'un bouton de rafraîchissement pour mettre à jour les informations

### Corrections de dysfonctionnements ###
- correction de l'affichage des parcelles et du résumé du `wizard` (localisation inappropriée)
- vérification des identifiants externes lors de la mise à jour des libellés en cache (#5603)


v4.0.50 - 2023-07-03
--------------------

### Fonctionnalités/améliorations ###
- Mise à jour de la documentation
- Mise à jour des traductions
- Amélioration de l'affichage du journal de modifications

### Corrections de dysfonctionnements ###
- Formulaire opération : le champ code opération (Patriarche) n'est plus facultatif
- Correction de la recherche "*" pour les champs texte (#5325)
- Formulaires - champ unité : correction des arrondis des flottants
- Fiche : correction de l'affichage à virgule pour les hectares
- Correction d'erreur lors de la génération de qrcode pour le mobilier d'origine


v4.0.49 - 2023-06-21
--------------------

### Fonctionnalités/améliorations ###
- Amélioration de l'affichage du journal de modifications
- Fiche : affichage du système de référence spatiale avec les coordonnées des points


### Technique ###
- JS : correction TrackPositionControl avec le https


v4.0.48 - 2023-06-08
--------------------

### Fonctionnalités/améliorations ###
- Critères de recherche - Géo - « Z plus petit », « Z plus grand »
- Fiche : affichage des coordonnées des points

### Technique ###
- Arrondi et arrondi en z par défaut pour chaque système de référence spatiale
- Ne pas mettre le journal de débogage dans le répertoire projet sous Debian
- Correction de type mime pour settings.js


v4.0.47 - 2023-06-08
--------------------

### Technique ###
- Amélioration des post-traitements après import
- Nombreuses corrections (ou potentielles corrections) dans les templates (localisation inappropriée) (#5594)


v4.0.46 - 2023-05-26
--------------------

### Fonctionnalités/améliorations ###
- Communes/zones géographiques :
    - attachement de documents
    - mise en place de fiches
    - liens depuis les autres fiches vers les fiches communes/zones géographiques

### Corrections de dysfonctionnements ###
- Recalcul du poids d'un contenant lorsque du mobilier en est retiré (#5470)

### Technique ###
- JS : correction UnitWidget (localisation inappropriée)
- Correction du HTML de la page d'import (localisation inappropriée)


v4.0.45 - 2023-05-15
--------------------

### Fonctionnalités/améliorations ###
- Administration : affichage des sous-catégories amélioré (en couleur)
- Document - modification par lot : modification des étiquettes (#5415)

### Corrections de dysfonctionnements ###
- Correction de la recherche commune pour les lieux de conservation et les organisations
- Correction de la recherche contenant pour les documents

### Technique ###
- Migration de la bibliothèque font-awesome -> fork-awesome
- JS inline migré vers un settings.js dynamique pouvant être mis en cache
- Import contenants : éviter le crash si le type de contenant est vide
- Commande media_find_missing_files : ajout des options set-alt-media-dir pour faire des liens de media manquants depuis un répertoire alternatif et set-empty-image pour créer des liens vers des images factices pour les images manquantes


v4.0.44 - 2023-04-17
--------------------

### Fonctionnalités/améliorations ###
- Affichage d'un journal des modifications avec affichage d'alerte lors de mises à jour
- Contenants : gestion de l'historique
- Sécurité:
    - Gestion de l'expiration des mots de passe
    - Gestion d'une politique de mot de passe fort (possibilité de forcer des classes de caractères).
    - Ajout de validateurs d'authentification par défaut pour les changements de mots de passe
    - Expiration de session configurée à 5 jours par défaut
    - Sécurisation optionnelle (désactivé par défaut) des tentatives de connexion : traçage, blocage de compte après multiples erreurs de connexion.

### Corrections de dysfonctionnements ###
- Champs Json : correction d'une mauvaise sauvegarde de valeurs multiples
- Fiches : correction de l'affichage de l'historique avec la géographie associée
- Contenants : suppression de la recherche par division
- Détail de l'image : ne pas afficher le lien Modifier lorsqu'il n'est pas pertinent (#5438)
- Correction du libellé français pour les types de géographie (#5577)
- Correction des permissions pour les demandes de traitements (#5441)
- Mise à jour en cascade des contenants lors de modifications des lieux de conservation

### Technique ###
- Refactorisation des tâches de chargement - gestion de la régénération de l'identifiant externe avec les tâches
- Mise à jour et correction des traductions (#5578, #5579, #5581)
- Export d'importeur : correction de l'appel au `pre_importer`
- Utilisation d'une longueur de sel de 128 bits pour le hachage des mots de passe
- Marquage de faux problèmes de sécurité détectés par l'outil « bandit »
- Correction de problèmes de sécurité de faible gravité

v4.0.43 - 2023-03-17
--------------------

### Fonctionnalités/améliorations ###
- Modèle : ajout d'un historique pour les documents et les contenants
- Menu :
    - Suppression de l'entrée « Administration »
    - Gestion des comptes déplacé dans l'entrée « Annuaire »
    - Les variables globales sont maintenant seulement éditables dans l'administration Django
- Imports : amélioration de la détection des mauvais codages de caractères
- Critères de recherche :
    - Ajout du critère « créé avant/après »
    - Opération : ajout du critère « ancien code »
    - Opérations et sites : ajout du critère « vestiges »
    - Compte : ajout du critère « type de profil »
    - Unité d'enregistrement : ajout des critères « identification » et « activité »
- Recherche en texte libre :
    - Amélioration de la recherche sur les chaînes accentuées
    - Ajout de la configuration d'un thésaurus dédié `french_archeo`
    - Dossier : indexation de la référence `année-index`
- Fiche :
    - Document : amélioration de l'affichage pour les fichiers
    - Demande de traitement : ajout d'une image associée et d'une liste de documents
- Configuration : ajout de message personnalisé en bas de page
- Message explicite sur la suppression du contenant associé lors de la suppression d'un lieu de conservation
- Acte administratif : ajout d'un avertissement lors de la suppression d'un élément associé
- Utilisation d'une police avec empattement pour les balises `<pre>` (utilisée notamment pour les descriptions)
- Administration Django :
    - Ajout d'en-têtes de sous-section pour clarifier les modules
    - Variable globale : édition depuis le tableau, ajout de l'import/export en CSV/JSON
    - Imports : enregistrer automatiquement les « types de modèles » en export JSON
- Geographie : ajout des tuiles IGN par défaut
- Site : action rapide pour la création d'une opération virtuelle à partir d'un site avec de nombreuses opérations
- Interface utilisateur :
    - En-tête de fiche - ajout d'une flèche pour signifier la possibilité de replier la fiche
    - Bouton pour afficher/masquer le mot de passe lors de la connexion
- Formulaires :
    - Formulaire personnalisé - possibilité d'ajouter un message d'en-tête

### Corrections de dysfonctionnements ###
- Recherche :
    - Correction des recherches par critères (en particulier recherche en exclusion et recherche cumulant plusieurs critères)
    - Document : le type de source est maintenant une recherche hiérarchique
- Formulaire mobilier : suppression de la vérification de cohérence TAQ/TPQ
- Fiche :
    - Ne pas afficher la liste des éléments géographiques lorsque la cartographie est désactivée
    - Traitement, demande de traitement : correction de l'affichage (mauvais lien avec le QR-code)
    - Opération : correction des statistiques sur le nombre de parcelles
    - Panier : affichage des partages par ordre alphabétiques
- Dossier : retrait de l'action d'édition du plan d'intervention lorsque  le module « opérateur préventif » est désactivé dans le profil 

### Technique ###
- Général :
    - Ajout d'une configuration personnalisée de libellé en cache pour chaque élément principal
    - Ajout d'un champ `created` sur les éléments principaux afin de faciliter les requêtes
- Paramètres : ajout de `ISHTAR_SECURE_OPTIONS` pour activer les options sécurisées de Django
- Géographie : nouvelle version openlayers
- Scripts de maintenance : suppression des scripts obsolètes et migration vers `ishtar_maintenance`


v4.0.42 - 2023-01-25
--------------------

### Fonctionnalités/améliorations ###
- Traitement : amélioration de la présentation - ajout de liens détaillés

### Technique ###
- Imports : formatage complexe des formules
- Installation : correction du script d'installation pour permettre la personnalisation du port et de l'hôte de la base de données
